<?php
/*
Plugin Name: Kau-Boy's AutoCompleter
Plugin URI: http://www.kau-boys.de/autocompleter/
Description: Kau-Boy's AutoCompleter
Version: 0.2
Author: Bernhard Kau
Author URI: http://www.kau-boys.de
*/

define('AUTOCOMPLETER_URL', WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)));

function init_autocompleter() {
    wp_enqueue_script('autocomplete', AUTOCOMPLETER_URL.'js/autocompleter.js', array('scriptaculous'));
	wp_enqueue_style('autocomplete', AUTOCOMPLETER_URL.'css/autocompleter.css', null, null, 'screen');
}

function print_autocompleter_js(){
?>
<script type="text/javascript">
	var AUTOCOMPLETER_URL = '<?php echo AUTOCOMPLETER_URL ?>';
</script>
<?php
}

function autocompleter_admin_menu(){
	add_options_page(
		"Kau-Boy's AutoCompleter settings",
		'AutoCompleter',
		8,
		__FILE__,
		'autocompleter_admin_settings'
	);	
}

function autocompleter_admin_settings(){
?>
<div class="wrap">
<h2>Kau-Boy's AutoCompleter</h2>

<form method="post" action="">
	Form follows
</form>


</div>
<?php
}
 
add_action('init', 'init_autocompleter');
add_action('wp_print_scripts', 'print_autocompleter_js');
//add_action('admin_menu', 'autocompleter_admin_menu');

?>
